gdcm::Surface Class Reference

This class defines a SURFACE IE. More...

`#include <gdcmSurface.h>`

Inheritance diagram for gdcm::Surface:
[legend]
Collaboration diagram for gdcm::Surface:
[legend]

## Public Types

enum | STATES { NO = 0 , YES , UNKNOWN , STATES_END }
enum | VIEWType { SURFACE = 0 , WIREFRAME , POINTS , VIEWType_END }
| Enumeration for Recommended Presentation Type. More...

## Public Member Functions

| Surface ()
| ~Surface () override
SegmentHelper::BasicCodedEntry & | GetAlgorithmFamily ()
SegmentHelper::BasicCodedEntry const & | GetAlgorithmFamily () const
const char * | GetAlgorithmName () const
const char * | GetAlgorithmVersion () const
const float * | GetAxisOfRotation () const
const float * | GetCenterOfRotation () const
STATES | GetFiniteVolume () const
STATES | GetManifold () const
float | GetMaximumPointDistance () const
float | GetMeanPointDistance () const
MeshPrimitive & | GetMeshPrimitive ()
MeshPrimitive const & | GetMeshPrimitive () const
unsigned long | GetNumberOfSurfacePoints () const
unsigned long | GetNumberOfVectors () const
DataElement & | GetPointCoordinatesData ()
const DataElement & | GetPointCoordinatesData () const
const float * | GetPointPositionAccuracy () const
const float * | GetPointsBoundingBoxCoordinates () const
SegmentHelper::BasicCodedEntry & | GetProcessingAlgorithm ()
SegmentHelper::BasicCodedEntry const & | GetProcessingAlgorithm () const
const unsigned short * | GetRecommendedDisplayCIELabValue () const
unsigned short | GetRecommendedDisplayCIELabValue (const unsigned int idx) const
unsigned short | GetRecommendedDisplayGrayscaleValue () const
float | GetRecommendedPresentationOpacity () const
VIEWType | GetRecommendedPresentationType () const
const char * | GetSurfaceComments () const
unsigned long | GetSurfaceNumber () const
bool | GetSurfaceProcessing () const
const char * | GetSurfaceProcessingDescription () const
float | GetSurfaceProcessingRatio () const
const float * | GetVectorAccuracy () const
DataElement & | GetVectorCoordinateData ()
const DataElement & | GetVectorCoordinateData () const
unsigned short | GetVectorDimensionality () const
void | SetAlgorithmFamily (SegmentHelper::BasicCodedEntry const &BSE)
void | SetAlgorithmName (const char *str)
void | SetAlgorithmVersion (const char *str)
void | SetAxisOfRotation (const float *axis)
void | SetCenterOfRotation (const float *center)
void | SetFiniteVolume (STATES state)
void | SetManifold (STATES state)
void | SetMaximumPointDistance (float maximum)
void | SetMeanPointDistance (float average)
void | SetMeshPrimitive (MeshPrimitive &mp)
void | SetNumberOfSurfacePoints (const unsigned long nb)
void | SetNumberOfVectors (const unsigned long nb)
void | SetPointCoordinatesData (DataElement const &de)
void | SetPointPositionAccuracy (const float *accuracies)
void | SetPointsBoundingBoxCoordinates (const float *coordinates)
void | SetProcessingAlgorithm (SegmentHelper::BasicCodedEntry const &BSE)
void | SetRecommendedDisplayCIELabValue (const std::vector< unsigned short > &vl)
void | SetRecommendedDisplayCIELabValue (const unsigned short vl, const unsigned int idx=0)
void | SetRecommendedDisplayCIELabValue (const unsigned short vl[3])
void | SetRecommendedDisplayGrayscaleValue (const unsigned short vl)
void | SetRecommendedPresentationOpacity (const float opacity)
void | SetRecommendedPresentationType (VIEWType type)
void | SetSurfaceComments (const char *comment)
void | SetSurfaceNumber (const unsigned long nb)
void | SetSurfaceProcessing (bool b)
void | SetSurfaceProcessingDescription (const char *description)
void | SetSurfaceProcessingRatio (const float ratio)
void | SetVectorAccuracy (const float *accuracy)
void | SetVectorCoordinateData (DataElement const &de)
void | SetVectorDimensionality (const unsigned short dim)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static STATES | GetSTATES (const char *state)
static const char * | GetSTATESString (STATES state)
static VIEWType | GetVIEWType (const char *type)
static const char * | GetVIEWTypeString (VIEWType type)

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines a SURFACE IE.

This members are taken from required surface mesh module attributes.

See also
  PS 3.3 A.1.2.18 , A.57 and C.27

## Member Enumeration Documentation

## STATES

enum gdcm::Surface::STATES

Enumerator
NO |
YES |
UNKNOWN |
STATES_END |

## VIEWType

enum gdcm::Surface::VIEWType

Enumeration for Recommended Presentation Type.

See also
  Tag(0x0066, 0x000D) and PS 3.3 C.27.1.1.3

Enumerator
SURFACE |
WIREFRAME |
POINTS |
VIEWType_END |

## Constructor & Destructor Documentation

## Surface()

gdcm::Surface::Surface | ( |  | ) |

## ~Surface()

gdcm::Surface::~Surface | ( |  | ) |

override

## Member Function Documentation

## GetAlgorithmFamily() [1/2]

SegmentHelper::BasicCodedEntry & gdcm::Surface::GetAlgorithmFamily | ( |  | ) |

## GetAlgorithmFamily() [2/2]

SegmentHelper::BasicCodedEntry const & gdcm::Surface::GetAlgorithmFamily | ( |  | ) | const

## GetAlgorithmName()

const char * gdcm::Surface::GetAlgorithmName | ( |  | ) | const

## GetAlgorithmVersion()

const char * gdcm::Surface::GetAlgorithmVersion | ( |  | ) | const

## GetAxisOfRotation()

const float * gdcm::Surface::GetAxisOfRotation | ( |  | ) | const

Note
  Pointer is null if undefined

## GetCenterOfRotation()

const float * gdcm::Surface::GetCenterOfRotation | ( |  | ) | const

Note
  Pointer is null if undefined

## GetFiniteVolume()

STATES gdcm::Surface::GetFiniteVolume | ( |  | ) | const

## GetManifold()

STATES gdcm::Surface::GetManifold | ( |  | ) | const

## GetMaximumPointDistance()

float gdcm::Surface::GetMaximumPointDistance | ( |  | ) | const

## GetMeanPointDistance()

float gdcm::Surface::GetMeanPointDistance | ( |  | ) | const

## GetMeshPrimitive() [1/2]

MeshPrimitive & gdcm::Surface::GetMeshPrimitive | ( |  | ) |

## GetMeshPrimitive() [2/2]

MeshPrimitive const & gdcm::Surface::GetMeshPrimitive | ( |  | ) | const

## GetNumberOfSurfacePoints()

unsigned long gdcm::Surface::GetNumberOfSurfacePoints | ( |  | ) | const

## GetNumberOfVectors()

unsigned long gdcm::Surface::GetNumberOfVectors | ( |  | ) | const

## GetPointCoordinatesData() [1/2]

DataElement & gdcm::Surface::GetPointCoordinatesData | ( |  | ) |

## GetPointCoordinatesData() [2/2]

const DataElement & gdcm::Surface::GetPointCoordinatesData | ( |  | ) | const

## GetPointPositionAccuracy()

const float * gdcm::Surface::GetPointPositionAccuracy | ( |  | ) | const

Note
  Pointer is null if undefined

## GetPointsBoundingBoxCoordinates()

const float * gdcm::Surface::GetPointsBoundingBoxCoordinates | ( |  | ) | const

Note
  Pointer is null if undefined

## GetProcessingAlgorithm() [1/2]

SegmentHelper::BasicCodedEntry & gdcm::Surface::GetProcessingAlgorithm | ( |  | ) |

## GetProcessingAlgorithm() [2/2]

SegmentHelper::BasicCodedEntry const & gdcm::Surface::GetProcessingAlgorithm | ( |  | ) | const

## GetRecommendedDisplayCIELabValue() [1/2]

const unsigned short * gdcm::Surface::GetRecommendedDisplayCIELabValue | ( |  | ) | const

## GetRecommendedDisplayCIELabValue() [2/2]

unsigned short gdcm::Surface::GetRecommendedDisplayCIELabValue | ( | const unsigned int | idx | ) | const

## GetRecommendedDisplayGrayscaleValue()

unsigned short gdcm::Surface::GetRecommendedDisplayGrayscaleValue | ( |  | ) | const

## GetRecommendedPresentationOpacity()

float gdcm::Surface::GetRecommendedPresentationOpacity | ( |  | ) | const

## GetRecommendedPresentationType()

VIEWType gdcm::Surface::GetRecommendedPresentationType | ( |  | ) | const

## GetSTATES()

STATES gdcm::Surface::GetSTATES | ( | const char * | state | ) |

static

## GetSTATESString()

const char * gdcm::Surface::GetSTATESString | ( | STATES | state | ) |

static

## GetSurfaceComments()

const char * gdcm::Surface::GetSurfaceComments | ( |  | ) | const

## GetSurfaceNumber()

unsigned long gdcm::Surface::GetSurfaceNumber | ( |  | ) | const

## GetSurfaceProcessing()

bool gdcm::Surface::GetSurfaceProcessing | ( |  | ) | const

## GetSurfaceProcessingDescription()

const char * gdcm::Surface::GetSurfaceProcessingDescription | ( |  | ) | const

## GetSurfaceProcessingRatio()

float gdcm::Surface::GetSurfaceProcessingRatio | ( |  | ) | const

## GetVectorAccuracy()

const float * gdcm::Surface::GetVectorAccuracy | ( |  | ) | const

## GetVectorCoordinateData() [1/2]

DataElement & gdcm::Surface::GetVectorCoordinateData | ( |  | ) |

## GetVectorCoordinateData() [2/2]

const DataElement & gdcm::Surface::GetVectorCoordinateData | ( |  | ) | const

## GetVectorDimensionality()

unsigned short gdcm::Surface::GetVectorDimensionality | ( |  | ) | const

## GetVIEWType()

VIEWType gdcm::Surface::GetVIEWType | ( | const char * | type | ) |

static

## GetVIEWTypeString()

const char * gdcm::Surface::GetVIEWTypeString | ( | VIEWType | type | ) |

static

## SetAlgorithmFamily()

void gdcm::Surface::SetAlgorithmFamily | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

## SetAlgorithmName()

void gdcm::Surface::SetAlgorithmName | ( | const char * | str | ) |

## SetAlgorithmVersion()

void gdcm::Surface::SetAlgorithmVersion | ( | const char * | str | ) |

## SetAxisOfRotation()

void gdcm::Surface::SetAxisOfRotation | ( | const float * | axis | ) |

## SetCenterOfRotation()

void gdcm::Surface::SetCenterOfRotation | ( | const float * | center | ) |

## SetFiniteVolume()

void gdcm::Surface::SetFiniteVolume | ( | STATES | state | ) |

## SetManifold()

void gdcm::Surface::SetManifold | ( | STATES | state | ) |

## SetMaximumPointDistance()

void gdcm::Surface::SetMaximumPointDistance | ( | float | maximum | ) |

## SetMeanPointDistance()

void gdcm::Surface::SetMeanPointDistance | ( | float | average | ) |

## SetMeshPrimitive()

void gdcm::Surface::SetMeshPrimitive | ( | MeshPrimitive & | mp | ) |

References gdcm::Object::SmartPointer.

## SetNumberOfSurfacePoints()

void gdcm::Surface::SetNumberOfSurfacePoints | ( | const unsigned long | nb | ) |

## SetNumberOfVectors()

void gdcm::Surface::SetNumberOfVectors | ( | const unsigned long | nb | ) |

## SetPointCoordinatesData()

void gdcm::Surface::SetPointCoordinatesData | ( | DataElement const & | de | ) |

## SetPointPositionAccuracy()

void gdcm::Surface::SetPointPositionAccuracy | ( | const float * | accuracies | ) |

## SetPointsBoundingBoxCoordinates()

void gdcm::Surface::SetPointsBoundingBoxCoordinates | ( | const float * | coordinates | ) |

## SetProcessingAlgorithm()

void gdcm::Surface::SetProcessingAlgorithm | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

## SetRecommendedDisplayCIELabValue() [1/3]

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const std::vector< unsigned short > & | vl | ) |

## SetRecommendedDisplayCIELabValue() [2/3]

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const unsigned short | vl,
|  | const unsigned int | idx = 0 )

## SetRecommendedDisplayCIELabValue() [3/3]

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const unsigned short | vl[3] | ) |

## SetRecommendedDisplayGrayscaleValue()

void gdcm::Surface::SetRecommendedDisplayGrayscaleValue | ( | const unsigned short | vl | ) |

## SetRecommendedPresentationOpacity()

void gdcm::Surface::SetRecommendedPresentationOpacity | ( | const float | opacity | ) |

## SetRecommendedPresentationType()

void gdcm::Surface::SetRecommendedPresentationType | ( | VIEWType | type | ) |

## SetSurfaceComments()

void gdcm::Surface::SetSurfaceComments | ( | const char * | comment | ) |

## SetSurfaceNumber()

void gdcm::Surface::SetSurfaceNumber | ( | const unsigned long | nb | ) |

## SetSurfaceProcessing()

void gdcm::Surface::SetSurfaceProcessing | ( | bool | b | ) |

## SetSurfaceProcessingDescription()

void gdcm::Surface::SetSurfaceProcessingDescription | ( | const char * | description | ) |

## SetSurfaceProcessingRatio()

void gdcm::Surface::SetSurfaceProcessingRatio | ( | const float | ratio | ) |

## SetVectorAccuracy()

void gdcm::Surface::SetVectorAccuracy | ( | const float * | accuracy | ) |

## SetVectorCoordinateData()

void gdcm::Surface::SetVectorCoordinateData | ( | DataElement const & | de | ) |

## SetVectorDimensionality()

void gdcm::Surface::SetVectorDimensionality | ( | const unsigned short | dim | ) |

The documentation for this class was generated from the following file:

- gdcmSurface.h